package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/10/13 0013
 */
public class MusicEnlightenmentQuestionnaireQueryInfo extends QueryInfo {

    @ApiModelProperty("乐团编号")
    private String musicGroupId;

    @ApiModelProperty("年级数字")
    private Integer currentGradeNum;

    @ApiModelProperty("教师推荐专业")
    private Integer teacherRecommandSubjectId;

    @ApiModelProperty("是否正在学习某乐器")
    private Boolean musicalInstrumentsLearning;

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getCurrentGradeNum() {
        return currentGradeNum;
    }

    public void setCurrentGradeNum(Integer currentGradeNum) {
        this.currentGradeNum = currentGradeNum;
    }

    public Integer getTeacherRecommandSubjectId() {
        return teacherRecommandSubjectId;
    }

    public void setTeacherRecommandSubjectId(Integer teacherRecommandSubjectId) {
        this.teacherRecommandSubjectId = teacherRecommandSubjectId;
    }

    public Boolean getMusicalInstrumentsLearning() {
        return musicalInstrumentsLearning;
    }

    public void setMusicalInstrumentsLearning(Boolean musicalInstrumentsLearning) {
        this.musicalInstrumentsLearning = musicalInstrumentsLearning;
    }
}
